%global pypi_name commonmark

Name:           python-commonmark
Version:        0.9.1
Release:        %mkrel 6
Summary:        Python parser for the CommonMark Markdown spec
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/commonmark
Source0:        %{pypi_source}
BuildArch:      noarch
Patch0:         0001-Rename-cmark-entrypoint.patch

%description
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%package -n     python3-commonmark
Summary:        Python parser for the CommonMark Markdown spec
BuildRequires:  python3-devel
BuildRequires:  python3-future
BuildRequires:  python3-hypothesis
BuildRequires:  python3-setuptools
Requires:       python3-future
Obsoletes:      python3-%{pypi_name} < 0.9.0-2
Obsoletes:      python-CommonMark-doc < 0.9.0-2
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-commonmark}
Provides:	python3-CommonMark = %{version}-%{release}

%description -n python3-commonmark
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%prep
%autosetup -p1 -n commonmark-%{version}

# Fix non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/tests/run_spec_tests.py
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/cmark.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files commonmark

%check
export PYTHONIOENCODING=UTF-8
PYTHONPATH=$(pwd) %{python3} setup.py test

%files -n python3-commonmark -f %{pyproject_files}
%license LICENSE
%doc README.rst spec.txt
%{_bindir}/commonmark


%changelog
* Mon Oct 14 2024 daviddavid <daviddavid> 0.9.1-6.mga10
+ Revision: 2106857
- rename cmark entrypoint as commonmark (it conflict with cmark pkg)

* Wed Dec 20 2023 joequant <joequant> 0.9.1-5.mga10
+ Revision: 2020526
- rebuild for py3.12

* Sat Dec 09 2023 wally <wally> 0.9.1-4.mga10
+ Revision: 2016432
- rebuild for py3.12

* Fri Mar 25 2022 umeabot <umeabot> 0.9.1-3.mga9
+ Revision: 1825605
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.9.1-2.mga9
+ Revision: 1773339
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.9.1-1.mga9
+ Revision: 1703371
- new version 0.9.1
- rebuild for python 3.9

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.0-6.mga9
+ Revision: 1690159
- obsolete also remaining python-CommonMark-doc

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-5.mga8
+ Revision: 1533407
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 0.9.0-4.mga8
+ Revision: 1444228
- provides python3-CommonMark

* Sat Sep 21 2019 tv <tv> 0.9.0-3.mga8
+ Revision: 1444208
+ rebuild (emptylog)

* Fri Sep 20 2019 wally <wally> 0.9.0-2.mga8
+ Revision: 1444064
- make rpm name all lower case
- update description
- move docs to main pkg

* Mon Sep 16 2019 tv <tv> 0.9.0-1.mga8
+ Revision: 1442076
- BR python3-setuptools
- new release

* Fri Apr 12 2019 tv <tv> 0.8.1-1.mga7
+ Revision: 1389270
- imported package python-CommonMark

